Subject: RFC2547 - Multi-Party Security Associations

From: "AM Shaikh" <[email-masked]>
Date: Tue, 17 Jul 2001 11:43:39 -0400

Hi

Pls suggest me of a product implementing "Multi-Party Security Associations" as described in RFC2547 section 9.2 or the way to implement it with cisco routers

Thanx
Majid

---

From: Dipak <[email-masked]>
Date: Tue, 17 Jul 2001 14:09:16 -0400

Hi All,
    Can anybody suggest someway that a network manager (say, SNMP
manager) can discover that any MPLS enabled router in its network has
RSVP-TE implemented for establishing LSP tunnel?

Thanks,
dipak

---

From: "Thomas D. Nadeau" <[email-masked]>
Date: Tue, 17 Jul 2001 15:40:47 -0400

Assuming that the MPLS-TE-MIB
has been implemented by the vendor in question,
you can query for any of the scalars in the
MIB. If they are returned, you know that the
MIB and thus RSVP-TE is supported. The MIB
can be found here:

http://www.ietf.org/internet-drafts/draft-ietf-mpls-te-mib-06.txt

         Another means of telling this without doing
the query, is to look at the vendor's
agent capabilities statement for the MPLS-TE-MIB.
It will tell you if the MIB has been implemented.

         --Tom

---

From: Dipak <[email-masked]>
Date: Tue, 17 Jul 2001 15:56:57 -0400

How can you be sure that if MPLS-TE-MIB is existing then RSVP-TE is
supported? It can only be CR-LDP to signal the LSP tunnel establishment.
Isn't it?

Dipak

---

From: "Adrian Farrel" <[email-masked]>
Date: Tue, 17 Jul 2001 18:16:10 -0400

Dipak, you're quite right.
There is no scalar in the TE-MIB to state whether the LSR (LER :-) supports
RSVP-TE, CR-LDP or both.
Notwithstanding this, of course, an LER might support your chosen signaling
protocol but fail to connect with any other LSR that supports it.
You are probably best off trying to instantiate a tunnel setting
mplsTunnelSignallingProto to rsvp(2) or crldp(3).  As you set this field you
would expect to see an error from an LER that doesn't support the signaling
protocol.

NB: If we were to introduce such a scalar, it might be better placed in the LSR
MIB.

Adrian
--
Adrian Farrel
Movaz Networks Inc.
[email-masked]